Delete a specific segment - Fabric
Delete a specific segment
cURL
curl --request DELETE \
--url https://live.copilot.fabric.inc/api-offers/segment/{segmentId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
import requests
url = "https://live.copilot.fabric.inc/api-offers/segment/{segmentId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-offers/segment/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
Response Example
{
"_id": "614b58924e92f6861ac9d43b",
"segmentId": 100002,
"name": "Customer Type",
"value": ["High Spender"],
"deleted": true,
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z"
}
{
"code": "SEGMENT_NOT_FOUND",
"message": "No segment with this Id is found."
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
- Authorization:
Bearer <token> (required)
Headers
- x-site-context: A JSON object providing information about the source.
Path Parameters
- segmentId: ID of the segment to be deleted (required).
Notes
- Ensure proper authorization and headers are set before making the request.